cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/payments/PAY-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.payments.get_payment("PAY-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.payments.getPayment('PAY-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->payments->getPayment('PAY-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.payments.payments_dto.PaymentsDto.PaymentRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PaymentRead> response = client.payments().getPayment("PAY-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Payments.GetPaymentAsync("PAY-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.payments.getPayment('PAY-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Payments().GetPayment(context.Background(), "PAY-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"payment": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
"<unknown>"
],
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"gift_certificate_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"id": "<string>",
"invoices": [
{
"applied": "<string>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"total": "<string>"
}
],
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"payment_applied": [
{
"amount": "<string>",
"gateway_response": "<unknown>",
"method": "<string>",
"processor": "<string>",
"reference": "<string>"
}
],
"payment_note": "<string>",
"reconcile_status": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Payments
Retrieve a payment
Returns one payment by its id.
GET
/
payments
/
{payment_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/payments/PAY-0001" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.payments.get_payment("PAY-0001")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.payments.getPayment('PAY-0001');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->payments->getPayment('PAY-0001');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.payments.payments_dto.PaymentsDto.PaymentRead;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PaymentRead> response = client.payments().getPayment("PAY-0001");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Payments.GetPaymentAsync("PAY-0001");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.payments.getPayment('PAY-0001');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Payments().GetPayment(context.Background(), "PAY-0001", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"payment": {
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
"<unknown>"
],
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"gift_certificate_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"id": "<string>",
"invoices": [
{
"applied": "<string>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"total": "<string>"
}
],
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"payment_applied": [
{
"amount": "<string>",
"gateway_response": "<unknown>",
"method": "<string>",
"processor": "<string>",
"reference": "<string>"
}
],
"payment_note": "<string>",
"reconcile_status": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Fetches a single payment with its account, the money received, any credit or gift certificate spent, the invoices it paid and its custom attributes.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.